#ifndef _UDM_CONF_H
#define _UDM_CONF_H

extern char		* ExtraHeaders;	/* EXT */
extern char		* UserAgent;	/* EXT */
extern int		MaxDocSize;	/* EXT */


/* Allow/Disallow/CheckOnly constatnts*/

#define UDM_ALLOW	0
#define UDM_DISALLOW	1
#define UDM_HEAD	2

typedef struct filter_struct {
	regex_t filter;
	int     filter_type;
	int	reverse;
	char	*regstr;
} UDM_FILTER;

/* Aliases item structure */
typedef struct alias_struct {
	char *find;
	char *replace;
} UDM_ALIAS;

extern UDM_SERVER	* FindServer(char *url);
extern UDM_ALIAS	* FindAlias(char * str);
extern UDM_FILTER	* FindFilter(char *url);
extern char 		* FilterComStr(UDM_FILTER* f);

#endif
