#ifndef _UDM_SYSLOG_H
#define _UDM_SYSLOG_H

#include "udm_config.h"
#ifdef HAVE_SYSLOG_H
#include <syslog.h>
#endif

/* Verbose levels */
#define UDM_LOG_NONE	0
#define UDM_LOG_ERROR	1
#define UDM_LOG_WARN	2
#define UDM_LOG_INFO	3
#define UDM_LOG_EXTRA	4
#define UDM_LOG_DEBUG	5

extern int udm_openlog(int log2stderr);
extern void udm_log(int handle,int level, const char *fmt, ...);
extern void (*ThreadInfo)(int handle,char *state, char* str);
extern void (*StatInfo)(int handle, int code, int expired, int total, char* str);

extern __INDLIB__ void SetLogLevel(int level);
extern __INDLIB__ void SetLogFacility(char * facility);

#endif
