// GPL
// parse_date
// author: Heiko Stoermer, innominate AG, stoermer@innominate.de
// 20000316
//

// parse_date returns allocated pointer to string containing 
// the sql-conformant datetime type.
// processes nntp datestrings of the following types:
// 1: 17 Jun 1999 11:05:42 GMT
// 2: Wed, 08 Mar 2000 13:52:43 +0100 

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

char * parse_date(const char * datestring);
// helper function
int get_month(char * month);

